PSC(1)

NAME
psc - prepare sc files

SYNOPSIS
psc [-fLkrSPv] [-s cell] [-R n] [-C n] [-n n] [-d c]

DESCRIPTION
Psc is used to prepare data for input to the spreadsheet calculator sc(1). It accepts normal ascii data on standard input. Standard output is a sc file. With no options, psc starts the spreadsheet in cell A0. Strings are right justified. All data on a line is entered on the same row; new input lines cause the output row number to increment by one. The default delimiters are tab and space. The column formats are set to one larger than the number of columns required to hold the largest value in the column.

OPTIONS

-f  Omit column width calculations. This option is for preparing data to be merged with an existing spreadsheet. If the option is not specified, the column widths calculated for the data read by psc will override those already set in the existing spreadsheet.

-L  Left justify strings.

-k  Keep all delimiters. This option causes the output cell to change on each new delimiter encountered in the input stream. The default action is to condense multiple delimiters to one, so that the cell only changes once per input data item.

-r  Output the data by row first then column. For input consisting of a single column, this option will result in output of one row with multiple columns instead of a single column spreadsheet.

-s cell
    Start the top left corner of the spreadsheet in cell. For example, -s B33 will arrange the output data so that the spreadsheet starts in column B, row 33.

-R n
    Increment by n on each new output row.

-C n
    Increment by n on each new output column.

-n n
    Output n rows before advancing to the next column. This option is used when the input is arranged in a single column and the spreadsheet is to have multiple columns, each of which is to be length n.

-d c
    Use the single character c as the delimiter between input fields.

-P  Plain numbers only. A field is a number only when there is no imbedded [-+eE].

-S  All numbers are strings.

-v  Print the version of psc

SEE ALSO
sc(1)

AUTHOR

Robert Bond